#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['build_harness',
 'build_harness.commands',
 'build_harness.commands.bdd',
 'build_harness.templates.{{cookiecutter.project_name}}.features',
 'build_harness.templates.{{cookiecutter.project_name}}.features.steps',
 'build_harness.templates.{{cookiecutter.project_name}}.tests',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.ci',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.ci.integration_tests',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.ci.unit_tests',
 'build_harness.templates.{{cookiecutter.project_name}}.tests.manual',
 'build_harness.templates.{{cookiecutter.project_name}}.{{cookiecutter.project_name}}',
 'build_harness.tools']

package_data = \
{'': ['*'],
 'build_harness': ['templates/*',
                   'templates/hooks/*',
                   'templates/{{cookiecutter.project_name}}/*']}

install_requires = \
['behave ~=1.2.6',
 'black ~=22.3',
 'click ~=8.1.2',
 'cookiecutter ~=1.7.3',
 'flake8 ~=4.0.1',
 'flake8-annotations ~=2.8.0',
 'flit ~=3.2.0',
 'gitpython ~=3.1.24',
 'isort ~=5.10.1',
 'mypy >=0.942',
 'packaging ~=21.3',
 'parver ~=0.3.1',
 'pip ~=22.0.4',
 'pre_commit ~=2.17.0',
 'pydantic ~=1.9.0',
 'pydocstyle ~=6.1.1',
 'toml ~=0.10.2',
 'twine ~=4.0',
 'wheel ~=0.37.1',
 'pygments ~=2.11.2']

extras_require = \
{'dev': ['mutmut ~=2.1.0', 'pipenv >=2021.5.29', 'types-toml ~=0.10.4'],
 'doc': ['sphinx ~=4.5.0', 'sphinx_rtd_theme ~=1.0'],
 'test': ['pytest ~=7.1.1', 'pytest-cov ~= 3.0', 'pytest-mock ~=3.7.0']}

entry_points = \
{'console_scripts': ['build-harness = '
                     'build_harness.entrypoint:build_harness_entry',
                     'publish-flow = '
                     'build_harness.entrypoint:publish_flow_entry',
                     'release-flow = '
                     'build_harness.entrypoint:release_flow_entry']}

setup(name='build_harness',
      version='1.0.1',
      description='CI build harness embodying best practices for Python projects.',
      author='Russell Smiley',
      author_email='im.russell.smiley@gmail.com',
      url='https://gitlab.com/ci-cd-devops/build_harness',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.7',
     )
